Polygon Object Functions
Evas » Specific Object Functions

Functions that operate on evas polygon objects. More...

## Functions

EVAS_API Evas_Object * | evas_object_polygon_add (Evas *e)
| Adds a new evas polygon object to the given evas.
EVAS_API void | evas_object_polygon_point_add (Evas_Object *obj, Evas_Coord x, Evas_Coord y)
| Adds the given point to the given evas polygon object.
EVAS_API void | evas_object_polygon_points_clear (Evas_Object *obj)
| Removes all of the points from the given evas polygon object.

## Detailed Description

Functions that operate on evas polygon objects.

Hint: as evas does not provide ellipse, smooth paths or circle, one can calculate points and convert these to a polygon.

Warning
  We don't guarantee any proper results if you create a Polygon object without setting the evas engine.

## Function Documentation

## evas_object_polygon_add()

EVAS_API Evas_Object * evas_object_polygon_add | ( | Evas * | e | ) |

Adds a new evas polygon object to the given evas.

Parameters

  e | The given evas.

Returns
  A new evas polygon object.

References EINA_SAFETY_ON_FALSE_RETURN_VAL, and EVAS_CANVAS_CLASS.

## evas_object_polygon_point_add()

EVAS_API void evas_object_polygon_point_add | ( | Evas_Object * | obj,
|  | Evas_Coord | x,
|  | Evas_Coord | y )

Adds the given point to the given evas polygon object.

Parameters

  [in] | obj | The object
  [in] | y | The Y coordinate of the given point.

References EINA_POSITION2D.

## evas_object_polygon_points_clear()

EVAS_API void evas_object_polygon_points_clear | ( | Evas_Object * | obj | ) |

Removes all of the points from the given evas polygon object.

Parameters

  [in] | obj | The object